DOM::CSS2PlayDuring Class Reference

`#include <css_extensions.h>`

Inheritance diagram for DOM::CSS2PlayDuring:

## Public Member Functions

| CSS2PlayDuring (const CSS2PlayDuring &other)
| CSS2PlayDuring (CSS2PlayDuringImpl *impl)
CSS2PlayDuring & | operator= (const CSS2PlayDuring &other)
unsigned short | playDuringType () const
DOM::DOMString | playDuringIdentifier () const
void | setPlayDuringIdentifier (const DOM::DOMString &)
DOM::DOMString | uri () const
void | setUri (const DOM::DOMString &)
bool | mix () const
void | setMix (const bool)
bool | repeat () const
void | setRepeat (const bool)
Public Member Functions inherited from DOM::CSSValue
| CSSValue (const CSSValue &other)
| CSSValue (CSSValueImpl *impl)
CSSValue & | operator= (const CSSValue &other)
DOM::DOMString | cssText () const
void | setCssText (const DOM::DOMString &)
unsigned short | cssValueType () const
bool | isCSSValueList () const
bool | isCSSPrimitiveValue () const
CSSValueImpl * | handle () const
bool | isNull () const

## Additional Inherited Members

Public Types inherited from DOM::CSSValue
enum | UnitTypes { CSS_INHERIT = 0, CSS_PRIMITIVE_VALUE = 1, CSS_VALUE_LIST = 2, CSS_CUSTOM = 3, CSS_INITIAL = 4 }
Protected Attributes inherited from DOM::CSSValue
CSSValueImpl * | impl

## Detailed Description

The `CSS2PlayDuring` interface represents the play-during CSS Level 2 property.

Definition at line 888 of file css_extensions.h.

## Member Function Documentation

bool CSS2PlayDuring::mix | ( |  | ) | const

`true` if the sound should be mixed.

It will be ignored if the attribute doesn't contain a `uri` .

Definition at line 602 of file css_extensions.cpp.

DOMString CSS2PlayDuring::playDuringIdentifier | ( |  | ) | const

One of `"inherit"` , `"auto"` , `"none"` or the empty string if the `playDuringType` is `CSS_UNKNOWN` .

On setting, it will set the `uri` to the empty string and `mix` and `repeat` to `false` .

Definition at line 580 of file css_extensions.cpp.

unsigned short CSS2PlayDuring::playDuringType | ( |  | ) | const

A code defining the type of the value as define in `CSSvalue` .

It would be one of `CSS_UNKNOWN` , `CSS_INHERIT` , `CSS_IDENT`

Definition at line 574 of file css_extensions.cpp.

bool CSS2PlayDuring::repeat | ( |  | ) | const

`true` if the sound should be repeated.

It will be ignored if the attribute doesn't contain a `uri` .

Definition at line 615 of file css_extensions.cpp.

void CSS2PlayDuring::setMix | ( | const bool | _mix | ) |

see mix

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

Definition at line 608 of file css_extensions.cpp.

void CSS2PlayDuring::setPlayDuringIdentifier | ( | const DOM::DOMString & | value | ) |

see playDuringIdentifier

Exceptions

  DOMException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

Definition at line 586 of file css_extensions.cpp.

void CSS2PlayDuring::setRepeat | ( | const bool | _repeat | ) |

see repeat

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

Definition at line 621 of file css_extensions.cpp.

void CSS2PlayDuring::setUri | ( | const DOM::DOMString & | value | ) |

see uri

Exceptions

  DOMException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

Definition at line 597 of file css_extensions.cpp.

DOMString CSS2PlayDuring::uri | ( |  | ) | const

The sound specified by the `uri` .

It will set the `playDuringType` attribute to `CSS_UNKNOWN` .

Definition at line 591 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys